function [sigbs,sigbd] = GrafNapB(D, L, C, mr, mk, Ik, otz, E, ro)
Ep=E*10^3; 
  
a=L/2; b=L-a;
g=9.81;

d=[0:D]';
c=[0:C];
% natočení letmého konce 
for i=1:length(d)
    for j=1:length(c)
        uk(i,j)=((64)/(12*E*10^9*pi*((D*10^-3)^4-(d(i,1)*10^-3)^4)))*...
                (-3*(a*10^-3)^2*(mr*g+ro*g*0.25*(D^2-d(i,1)^2)*L*10^-9)+(8*(a*10^-3)*(c(1,j)*10^-3)+6*((c(1,j)*10^-3)^2)*(mk*g+ro*g*0.25*(D^2-d(i,1)^2)*c(1,j)*10^-9)));
    end
end
% výpočet gyroskopického efektu Mg
%přepočet otáček na omegu
ot=2*pi*otz/60;
% moment stetrvačnosti letmého konce
for ii=1:length(d)
    for jj=1:length(c)
        I(ii,jj)=Ik+0.5*(ro*g*(c(1,jj)*10^-3)*0.25*((D*10^-3)^4-(d(ii,1)*10^-3)^4));
    end
end

%gyroskopický moment na disk
for iMg=1:length(d)
    for jMg=1:length(c)
        Mg(iMg,jMg)=ot^2*sin(uk(iMg,jMg)*180/pi)*I(iMg,jMg)*10^3;
    end
end
   
% napěti v lozisku B za klidu
for bs1=1:length(d)
    for bs2=1:length(c)
        sigbs(bs1,bs2)=((32*D*(mk*g+ro*g*0.25*(D^2-d(bs1,1)^2)*c(1,bs2)*10^-9)*c(1,bs2))/(pi*(D^4-d(bs1,1)^4)));
    end
end

% napětí v ložisku B za rotace
for bd1 = 1:length(d)
    for bd2 = 1:length(c)
        sigbd(bd1,bd2)=((32*D*(mk*g+ro*g*0.25*(D^2-d(bd1,1)^2)*c(1,bd2)*10^-9)*c(1,bd2)-Mg(bd1,bd2))/(pi*(D^4-d(bd1,1)^4)));
    end
end
end

